import { Path } from '../graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
declare class DiagonalShape {
    points: any[][];
}
interface DiagonalPathProps extends PathProps {
    shape?: DiagonalShape;
}
declare class Diagonal extends Path<DiagonalPathProps> {
    type: string;
    constructor(opts?: DiagonalPathProps);
    getDefaultShape(): DiagonalShape;
    buildPath(ctx: CanvasRenderingContext2D, shape: DiagonalShape): void;
}
export default Diagonal;
